document.addEventListener('DOMContentLoaded', function () {
  'use strict';

  new Vue({
    el: '#vue-modal',
    data: {
      showModal: false,
      content: 'Default Modal Text'
    },
    methods: {
      close: function close() {
        this.showModal = false;
      }
    }
  });
});